Bug 1113605 - server restart wipes out index config if there is a default index
Summary: server restart wipes out index config if there is a default index
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-26 13:45 UTC by Rich Megginson
Modified: 2015-03-05 09:35 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:35:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Rich Megginson 2014-06-26 13:45:21 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47831

Steps to reproduce:

[1]  Setup a DS instance
[2]  Configure the objectclass index for userRoot

dn: cn=objectclass,cn=index,cn=userRoot,cn=ldbm
database,cn=plugins,cn=config
objectClass: top
objectClass: nsIndex
cn: objectclass
nsSystemIndex: true
nsIndexIDListScanLimit: limit=-1 type=eq values=person
nsIndexType: eq

[3] Import 100k user LDIF
[4] Perform an ldapsearch using objectclass=person

ldapsearch -D "cn=directory manager" -w password -b "dc=example,dc=com" -xLLL objectclass=person dn

[5] Access log reports search as unindexed (notes=A)

Comment 1 Rich Megginson 2014-06-26 14:50:26 UTC
Added automated test:

r8846 | rmeggins@REDHAT.COM | 2014-06-26 08:45:09 -0600 (Thu, 26 Jun 2014) | 11 lines

Test for bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1113605
https://bugzilla.redhat.com/show_bug.cgi?id=1113606
Test for ticket:
https://fedorahosted.org/389/ticket/47831

The bug is that the index config is lost when the server is restarted.
The test is simply to restart the server after the index config test,
and run the index config test again.  If the index config is preserved
at restart, then the index config test will PASS.

Comment 5 errata-xmlrpc 2015-03-05 09:35:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.